<?php

use think\migration\Migrator;
use think\migration\db\Column;

class CreateProductCompatParts extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('product_compat_parts', [
            'engine' => 'MyISAM',
            'collation' => 'utf8mb4_general_ci',
            'comment' => '产品兼容性-配件类型表'
        ]);

        $table->addColumn('language_id', 'integer', ['signed' => false, 'null' => false, 'comment' => '语言ID'])
              ->addColumn('name', 'string', ['limit' => 128, 'null' => false, 'comment' => '类型名称'])
              ->addColumn('sort', 'integer', ['default' => 0, 'comment' => '排序'])
              ->addColumn('disabled', 'boolean', ['default' => 0, 'comment' => '是否禁用 0:启用 1:禁用'])
              ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
              ->addColumn('updated_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP', 'comment' => '更新时间'])
              ->addColumn('deleted_at', 'timestamp', ['null' => true, 'comment' => '删除时间'])
              ->addIndex(['language_id'], ['name' => 'idx_language_id'])
              ->create();
    }
}
